> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onepanel.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# List supported networks



## OpenAPI

````yaml /openapi.yaml get /networks
openapi: 3.0.3
info:
  title: OnePanel API
  version: 1.0.0
  description: API for OnePanel data vending and transaction management.
servers:
  - url: https://api.onepanel.ng/api/v1
    description: Production
security: []
tags:
  - name: Catalog
  - name: Purchases
  - name: Transactions
  - name: Account
paths:
  /networks:
    get:
      tags:
        - Catalog
      summary: List supported networks
      operationId: listNetworks
      responses:
        '200':
          description: Available network catalog.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Network'
      security: []
components:
  schemas:
    Network:
      type: object
      required:
        - id
        - name
        - purchase_supported
      properties:
        id:
          type: string
          example: mtn
        name:
          type: string
          example: MTN Nigeria
        purchase_supported:
          type: boolean
          example: true

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.